<?php
//////////////////////////////////////////
// CHAT POWERED : http://sim-sim.h2m.ru//
// ICQ : 378036650                     //
// Email : olegarhi75@mail.ru          //
// WEB SITE Version 1.0 www.waufon.ru  //
////////////////////////////////////////
require( "../inc/conf.inc.php" );
echo "<title>{$cname}</title>";
echo "<link rel=\"shortcut icon\" href=\"http://sim-sim.h2m.ru/logo/icon.php\">";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol}; text-align: center }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div>Банковский отдел по переводу средств</div>";
require( "../inc/check.php" );
$login = autorize();
print '<do type="options" name="holl" label="Прихожая">
<go href="../enter.php?id='.$id.'&amp;pass='.$pass.'"/></do>';
print '<p align="center">';

$query_users = @mysql_query("select * from `users` where id='$id';");
@mysql_query("update `users` set ltime='".time()."',  where id='".$id."';");
$data = @mysql_fetch_array($query_users);
$baks = $data['baks'];
if($login) {
if(empty($action)) {

print  "Здесь Вы можете перевести свои тугрики на счет другому пользователю нашего чата<br/>";
print  "У Вас <b>".$data['baks']."</b> тугриков<br/>";




echo "<input name=\"nick\" maxlength=\"13\" title=\"friend\"/><br/>\n";
echo $fsize1;
echo $divide;
echo "Транслитирация ника:<br/>\n";
echo $fsize2;
echo "<select name=\"trun\">\n";
echo "<option value=\"0\">Нет</option>\n";
echo "<option value=\"1\">Да</option>\n";
echo "</select><br/>\n";
echo $fsize1;
echo $divide;
echo "Сколько не жалко?<br/>\n";
echo "От 0 до ".$posts."<br/>\n";
echo $fsize2;
echo "<input name=\"post\" maxlength=\"13\" format=\"*N\"/><br/>\n";
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Подарить<go href=\"prezent.php?go=view&amp;$ses&amp;ref=$ref\" method=\"post\">\n";
echo "<postfield name=\"nick\" value=\"$(nick)\"/>\n";
echo "<postfield name=\"post\" value=\"$(post)\"/>\n";
echo "<postfield name=\"trun\" value=\"$(trun)\"/>\n";
echo "</go></anchor>\n";
echo $fsize2;
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Подарить\" name=\"enter\"><br/>\n";
}







print'<form action="transfer.php?id='.$id.'&amp;pass='.$pass.'" method="post">'.
print ' Ваш ник<br/>
<input name="kto" maxlength="20" /><br/>
Ник юзера кому переводим <br/>
<input name="komu" maxlength="20" /><br/>
Количество тугриков на перевод:<br/>
<input name="number" maxlength="5" /><br/> ';
print "<input type=\"submit\" class=\"button\" value=\"отправить\">";
}
else
{
$query_usersk = @mysql_query("select * from `users` where login='$komu';");
$datak = @mysql_fetch_array($query_usersk);
$baksk = $datak['baks'];

$kto = htmlspecialchars(substr($kto,0,20));
$komu = htmlspecialchars(substr($komu,0,20));
$number = htmlspecialchars(intval(substr($number,0,5)));

$minus = $baks-$number;
$plus = $baksk+$number;

if($baks < $number)
{
print'Ошибка при совершении операции!<br/>';
}

else{
@mysql_query("update `users` set baks='$minus' where login='$kto'; ");

@mysql_query("update `users` set baks='$plus' where login='$komu'; ");
print'Тугрики успешно переведены!<br/>';
}

}

print "<div><a href=\"../enter.php?id=$id&amp;pass=$pass&amp;\">Прихожая</a></div><br/>";

} else { print "Ошибка авторизации!"; }
echo "<div class=\"ab\"><b>&copy; KOT <a href=\"http://waufon.ru\">waufon.ru</a></b></div>";
$end = gettime( );
echo "[".round( $end - $mystart, 5 )."]";
echo "</body></html>";
mysql_close( $link );
echo "\r\n";
?>